Groups
Groups of users.
AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
application/json- body
name?stringThe name.
description?stringA description.
members?array<unknown>The members: an array of { member, role }.
organization?stringThe organization.
parent?stringThe id of the folder.
props?The properties of the thing, by kind.
extendedProps?Properties that Apps add, kept as they are.
The answer.
response?stringapplication/jsonThe id.
curl -X PUT "https://platform.example.com/api/group" \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "description": "string", "members": []}'"string"AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
application/json- body
ids?array<unknown>The ids of the Items, as an array.
The answer.
application/json- response
The id.
curl -X PUT "https://platform.example.com/api/group/delete" \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '{ "ids": []}'"string"AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
keyword?unknownWords to look for.
skip?unknownHow many to skip.
limit?unknownHow many to return.
sortBy?unknownsortOrder?unknownThe answer.
application/json- response
total?integerdata?array<unknown>curl -X GET "https://platform.example.com/api/group/explore" \ -H "Authorization: Bearer $TOKEN"{ "total": 0, "data": [ null ]}AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
application/json- body
ids*array<unknown>The ids of the Items, as an array.
parent?stringThe id of the folder.
The answer.
application/json- response
The ids.
[index: integer]?stringcurl -X PUT "https://platform.example.com/api/group/move" \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '{ "ids": []}'[ "string"]AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the group.
The group.
application/json- response
_id*stringname*stringdescription?stringparent?unknownthumbnail?stringowner?unknownmembers?array<unknown>deletable?unknowntrueprops?unknownextendedProps?unknowncreatedAt?unknowncreatedBy?unknownupdatedAt?unknownupdatedBy?unknowncurl -X GET "https://platform.example.com/api/group/$ID" \ -H "Authorization: Bearer $TOKEN"{ "_id": "string", "name": "string", "description": "string", "parent": null, "thumbnail": "string", "owner": null, "members": [ null ], "deletable": true, "props": null, "extendedProps": null, "createdAt": null, "createdBy": null, "updatedAt": null, "updatedBy": null}AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the group.
application/json- body
ids?array<unknown>The ids of the Items, as an array.
The answer.
application/json- response
The id.
curl -X DELETE "https://platform.example.com/api/group/$ID" \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '{ "ids": []}'"string"AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the group.
application/json- body
[key: string]?anyThe answer.
response?stringapplication/jsonThe id.
curl -X PUT "https://platform.example.com/api/group/$ID" \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '{}'"string"AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the group.
The answer.
curl -X GET "https://platform.example.com/api/group/$ID/members" \ -H "Authorization: Bearer $TOKEN"